XBACKLIGHT(1)

NAME
xbacklight - adjust display and keyboard backlight using the /sys filesystem

SYNOPSIS
xbacklight [-h|-help] [-ctrl CTRL] [-display IGNORED] [-time MILLISECS] [-steps STEPS | -fps FPS] ...

xbacklight [flags] -list
xbacklight [flags] -get | -getf
xbacklight [flags] -set PERCENT | -inc PERCENT | -dec PERCENT
xbacklight [flags] [=]PERCENT | +PERCENT | -PERCENT

DESCRIPTION
xbacklight can query or set the brightness of display and keyboard backlight. xbacklight operates on the first device found in /sys/class/backlight, unless told otherwise. Use -list to see the full list of available devices that can be used; then use the -ctrl flag to control them individually.

QUERY OPERATIONS

-list
    Print the list of controllable devices.

-get
    Print out the backlight brightness as a percentage.

-getf
    Same as -get, but without rounding.

SET OPERATIONS
The brightness can be set with either command flags or positional arguments. When changing brightness level, both integer and fractional values (as reported by -get and -getf respectively) are accepted.

Regular set flags:

-set PERCENT
    Sets the backlight brightness to the specified percentage level.

-inc PERCENT
    Increases brightness by the specified amount.

-dec PERCENT
    Decreases brightness by the specified amount.

Set operations using positional arguments:

xbacklight PERCENT
xbacklight =PERCENT
    Set brightness (same as -set PERCENT).

xbacklight +PERCENT
    Increase brightness (same as -inc PERCENT).

xbacklight -PERCENT
    Decrease brightness (same as -dec PERCENT).

OPTIONS

-h, -help
    Print out a summary of the usage and exit.

-time MILLISECONDS
    Length of time to spend fading the backlight between old and new value. Default is 200. Specifying either the number of fading steps (with -steps) or fading frame rate (with -fps) is required to actually perform fading.

-steps STEPS
    Number of fading steps.

-fps FPS
    Target frame rate (frames/steps per second).

-display IGNORED
    Ignored for backward compatibility.

-ctrl CONTROLLER
    Set the device name to operate on.

NOTES
xbacklight doesn't lock the backlight device during fading. Running two concurrent fading operations will result in backlight flickering.

The backlight of most panels cannot be changed at a rate higher than 20-30hz. Setting a high FPS value will not improve the transition smoothness beyond a certain point.

Most keyboard's backlights have a very coarse resolution, with usually only 4 brightness steps available. Supplying small relative increments will not effectively change the backlight illumination. Use large values (+30) or set absolute percentages directly (=70).

PORTABILITY
This version of xbacklight is part of "acpilight" and contains several enhancements not available in the original version:

The command-line flags -list, -ctrl, -getf and -fps do not exist in the original xbacklight.

Fractional values are not allowed in the original xbacklight.

The = (equals) is required by the original version when specifying an absolute brightness value, but can be omitted in this version.

AUTHORS
xbacklight is part of acpilight (https://gitlab.com/wavexx/acpilight) and is distributed under GPLv3+ WITHOUT ANY WARRANTY.
Copyright(c) 2016-2018 by wave++ "Yuri D'Elia" <wavexx@thregr.org>.